MoveApplicationAcrossQueuesRequest (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords, class: MoveApplicationAcrossQueuesRequest

Package org.apache.hadoop.yarn.api.protocolrecords

# Class MoveApplicationAcrossQueuesRequest

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.MoveApplicationAcrossQueuesRequest

@Public @Unstable public abstract class MoveApplicationAcrossQueuesRequest extends Object

The request sent by the client to the `ResourceManager` to move a submitted application to a different queue.

The request includes the `ApplicationId` of the application to be moved and the queue to place it in.

See Also:
  - `ApplicationClientProtocol.moveApplicationAcrossQueues(MoveApplicationAcrossQueuesRequest)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MoveApplicationAcrossQueuesRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract ApplicationId`
  `getApplicationId()`
  Get the `ApplicationId` of the application to be moved.
  `abstract String`
  `getTargetQueue()`
  Get the queue to place the application in.
  `static MoveApplicationAcrossQueuesRequest`
  `newInstance(ApplicationId appId, String queue)`
  `abstract void`
  `setApplicationId(ApplicationId appId)`
  Set the `ApplicationId` of the application to be moved.
  `abstract void`
  `setTargetQueue(String queue)`
  Get the queue to place the application in.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MoveApplicationAcrossQueuesRequest

    public MoveApplicationAcrossQueuesRequest()

- ## Method Details

  - ### newInstance

    public static MoveApplicationAcrossQueuesRequest newInstance(ApplicationId appId, String queue)

  - ### getApplicationId

    public abstract ApplicationId getApplicationId()
    Get the `ApplicationId` of the application to be moved.
    Returns:
      `ApplicationId` of the application to be moved

  - ### setApplicationId

    public abstract void setApplicationId(ApplicationId appId)
    Set the `ApplicationId` of the application to be moved.
    Parameters:
      `appId` - `ApplicationId` of the application to be moved

  - ### getTargetQueue

    public abstract String getTargetQueue()
    Get the queue to place the application in.
    Returns:
      the name of the queue to place the application in

  - ### setTargetQueue

    public abstract void setTargetQueue(String queue)
    Get the queue to place the application in.
    Parameters:
      `queue` - the name of the queue to place the application in